summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-erlang/goldrush/Manifest1
-rw-r--r--dev-erlang/goldrush/goldrush-0.1.9.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/dev-erlang/goldrush/Manifest b/dev-erlang/goldrush/Manifest
index 8f68583dc92..604024251ae 100644
--- a/dev-erlang/goldrush/Manifest
+++ b/dev-erlang/goldrush/Manifest
@@ -1 +1,2 @@
DIST goldrush-0.1.8.1.tar.gz 22050 SHA256 75bd74818a6f3c0162696de4803c6b48266a987bbf94fa6857680495d6b4870a SHA512 291b340ad67e09e1bb92d97844fee9d0cc87abe19fb9a9bdae382c407bfd41c0269562fce5716133e8db8e4f1340dbb9bda24b57130ba89b3713d85ba6c4a007 WHIRLPOOL 118474f6aa7c8d944ef38fade8ea5227b6716bb1280fe3b141b2533a679ccd4ee541d54690e84845694f9104310f7550ded6030e5b7ba19a1740243512e1534c
+DIST goldrush-0.1.9.tar.gz 24548 SHA256 6fb8ac6345d940396ecf89d4ce6b9b809039f336d85d7a54239e85106a807612 SHA512 3e1efcfd1ed26641dc054f4f0b4b6a8c40959c8462f6fac9d1bde4818d46700d64bf727c39e27e3428a5717d2ef917b9e35b5982e32546482451a403f0b206d3 WHIRLPOOL 9a64e5044cbfc0b314b191d441b37f7231910252cf6dcb3c42f676168272cf09d497c57f4b34cc9932a22b7264d16a825bf79cf3b14e7b4659311c3d1414e8b0
diff --git a/dev-erlang/goldrush/goldrush-0.1.9.ebuild b/dev-erlang/goldrush/goldrush-0.1.9.ebuild
new file mode 100644
index 00000000000..901bcd88f01
--- /dev/null
+++ b/dev-erlang/goldrush/goldrush-0.1.9.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit rebar
+
+DESCRIPTION="Small Erlang app that provides fast event stream processing"
+HOMEPAGE="https://github.com/DeadZen/goldrush"
+SRC_URI="https://github.com/DeadZen/${PN}/archive/${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~sparc ~x86"
+
+DEPEND=">=dev-lang/erlang-17.1"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.org )
+
+src_prepare() {
+ rebar_src_prepare
+ # 'priv' directory contains only edoc.css, but doc isn't going to be built.
+ rm -r "${S}/priv" || die
+}